Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 267)
@@ -66,18 +66,19 @@
         private string CreateSelectSQL()
         {
             // SQL作成
-            string strcmd = "SELECT";
-            strcmd += " ConstructionCode";
-            strcmd += ",ApprovalCode";
-            strcmd += ",OrderNo";
-            strcmd += ",CommentNo";
-            strcmd += ",ParentNo";
-            strcmd += ",ApproValComment";
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
-            strcmd += " FROM ProcessApprovalComment";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append(" ConstructionCode");
+            strcmd.Append(",ApprovalCode");
+            strcmd.Append(",OrderNo");
+            strcmd.Append(",CommentNo");
+            strcmd.Append(",ParentNo");
+            strcmd.Append(",ApproValComment");
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");      // 更新年月日
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
+            strcmd.Append(" FROM ProcessApprovalComment");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -92,16 +93,17 @@
         public bool SelectAction(string AddSQLString, ref List<ProcessApprovalComment> data, bool bConnect = true)
         {
             //インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -115,7 +117,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -133,16 +135,17 @@
         public bool SelectAction(string AddSQLString, ref ProcessApprovalComment data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -153,7 +156,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -168,47 +171,47 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<ProcessApprovalComment> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ProcessApprovalComment";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ProcessApprovalComment");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ProcessApprovalComment work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ConstructionCode.ToString());
-                    strcmd += string.Format(", {0}", work.ApprovalCode.ToString());
-                    strcmd += string.Format(", {0}", work.OrderNo.ToString());
-                    strcmd += string.Format(", {0}", work.CommentNo.ToString());
-                    strcmd += string.Format(", {0}", work.ParentNo.ToString());
-                    strcmd += string.Format(", '{0}'", work.ApproValComment.ToString());
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.OrderNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.CommentNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.ParentNo.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.ApproValComment.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -223,41 +226,41 @@
         /// <returns></returns>
         public bool InsertAction(ProcessApprovalComment data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "INSERT INTO ProcessApprovalComment";
+                strcmd.Append("INSERT INTO ProcessApprovalComment");
 
-                strcmd += " (";
+                strcmd.Append(" (");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
 
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(", {0}", data.OrderNo.ToString());
-                strcmd += string.Format(", {0}", data.CommentNo.ToString());
-                strcmd += string.Format(", {0}", data.ParentNo.ToString());
-                strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+                strcmd.AppendFormat("  {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(", {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(", {0}", data.CommentNo.ToString());
+                strcmd.AppendFormat(", {0}", data.ParentNo.ToString());
+                strcmd.AppendFormat(", '{0}'", data.ApproValComment.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -272,31 +275,31 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ProcessApprovalComment data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ProcessApprovalComment";
+                strcmd.Append("UPDATE ProcessApprovalComment");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
-                strcmd += string.Format(",CommentNo = {0}", data.CommentNo.ToString());
-                strcmd += string.Format(",ParentNo = {0}", data.ParentNo.ToString());
-                strcmd += string.Format(",ApproValComment = '{0}'", data.ApproValComment.ToString());
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(",CommentNo = {0}", data.CommentNo.ToString());
+                strcmd.AppendFormat(",ParentNo = {0}", data.ParentNo.ToString());
+                strcmd.AppendFormat(",ApproValComment = '{0}'", data.ApproValComment.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -312,18 +315,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             //インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ProcessApprovalComment", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ProcessApprovalComment", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -336,44 +339,44 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int ApprovalCode = 0, int OrderNo = 0, int SeqNo = 0)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE ProcessApprovalComment";
+                strcmd.Append("UPDATE ProcessApprovalComment");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)ColumnName.ConstructionCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApprovalCode:
-                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ApprovalCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.OrderNo:
-                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" OrderNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.CommentNo:
-                        strcmd += string.Format(" CommentNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CommentNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ParentNo:
-                        strcmd += string.Format(" ParentNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ParentNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApproValComment:
-                        strcmd += string.Format(" ApproValComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ApproValComment = '{0}'", value.ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -419,25 +422,25 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode = 0, int OrderNo = 0, int CommentNo = 0, int CommentSeqNo = 0, string APara = "")
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
+                strWork.AppendFormat(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
                 if (ApprovalCode != 0)
-                    strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                    strWork.AppendFormat(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
                 if (OrderNo != 0)
-                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                    strWork.AppendFormat(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
                 if (CommentNo != 0)
-                    strWork += string.Format(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
+                    strWork.AppendFormat(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
                 if (CommentSeqNo != 0)
-                    strWork += string.Format(" And {0}CommentSeqNo = {1}", APara, CommentSeqNo.ToString());
+                    strWork.AppendFormat(" And {0}CommentSeqNo = {1}", APara, CommentSeqNo.ToString());
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -449,16 +452,16 @@
         public int MaxSerialNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SerialNo), 0) FROM ProcessApprovalComment" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SerialNo), 0) FROM ProcessApprovalComment {0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -472,7 +475,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
